# std::_Fwd_list_base< _Tp, _Alloc > Struct Template Reference

Base class for forward_list. More...

Inheritance diagram for std::_Fwd_list_base< _Tp, _Alloc >:

List of all members.

## Protected Types

- typedef _Alloc::template
  rebind< _Fwd_list_node< _Tp,
  _Tp_alloc_type >>::other
  _Node_alloc_type;struct
  _Fwd_list_impl:public
  _Node_alloc_type{_Fwd_list_node_base
  < _Tp_alloc_type > _M_head;_Fwd_list_impl():_Node_alloc_type(),
  _M_head(){}_Fwd_list_impl(const
  _Node_alloc_type &__a):_Node_alloc_type(__a),
  _M_head(){}};_Fwd_list_impl
  _M_impl;public:typedef
  _Fwd_list_iterator< _Tp,
  _Tp_alloc_type > iterator;typedef
  _Fwd_list_const_iterator< _Tp,
  _Tp_alloc_type >
  const_iterator;typedef
  _Fwd_list_node< _Tp,
  _Tp_alloc_type > _Node;typedef
  _Fwd_list_node_base
  < _Tp_alloc_type > _Node_base;_Node_alloc_type
  &_M_get_Node_allocator(){return
  *static_cast< _Node_alloc_type * >
  &this->_M_impl);}const
  _Node_alloc_type
  &_M_get_Node_allocator() const
  {return *static_cast< const
  _Node_alloc_type * > &this-> _M_impl
- typedef _Alloc::template
  rebind< _Tp >::other _Tp_alloc_type

## Protected Member Functions

- _Fwd_list_base (_Fwd_list_base &&__lst)
- _Fwd_list_base (_Fwd_list_base &&__lst, const _Alloc &__a)
- _Fwd_list_base (const _Fwd_list_base &__lst, const _Alloc &__a)
- _Fwd_list_base (const _Alloc &__a)
- template<typename... _Args> _Node::_Pointer _M_create_node (_Args &&...__args)
- _Node_base::_Pointer _M_erase_after (typename _Node_base::_Pointer __pos, typename _Node_base::_Pointer __last)
- _Node_base::_Pointer _M_erase_after (typename _Node_base::_Pointer __pos)
- _Node::_Pointer _M_get_node ()
- template<typename... _Args> _Node_base::_Pointer _M_insert_after (const_iterator __pos, _Args &&...__args)
- void _M_put_node (typename _Node::_Pointer __p)

## Detailed Description

### template<typename _Tp, typename _Alloc>
struct std::_Fwd_list_base< _Tp, _Alloc >

Base class for forward_list.

Definition at line 262 of file forward_list.h.

The documentation for this struct was generated from the following files:

- forward_list.h
- forward_list.tcc